#
# spec file for package ifplugd
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ifplugd
BuildRequires:  gcc-c++
BuildRequires:  libdaemon-devel
BuildRequires:  pkgconfig
Version:        0.28
Release:        238.1
Summary:        Daemon Activating Network Interfaces on Cable Plug
License:        GPL-2.0+
Group:          Productivity/Networking/Other
Url:            http://0pointer.de/lennart/projects/ifplugd/
Source:         http://0pointer.de/lennart/projects/ifplugd/%{name}-%{version}.tar.gz
Source1:        README.initscript
Patch:          ifplugd.dif
Patch1:         ifplugd-0.28.dif
Patch2:         ifplugd.action.diff
Patch3:         ifplugd-nlapi-increase-packetsize.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ifplugd is a lightweight Linux daemon that configures the network
automatically when a cable is plugged in and unconfigures it when the
cable is pulled. It is primarily intended for use with laptops. It
relies on the distribution's native network configuration subsystem, so
is not very intrusive.

%prep
%setup -q
%patch -p1
%patch1
%patch2
%patch3 -p1
cp %{S:1} .
mv doc/README.SuSE doc/README.SUSE

%build
export CFLAGS="$RPM_OPT_FLAGS -D__KERNEL_STRICT_NAMES -fno-strict-aliasing"
%configure --disable-xmltoman --disable-subversion --disable-lynx
%{__make} %{?_smp_mflags}

%install
%make_install
chmod -x conf/ifplugd.init
rm -fv $RPM_BUILD_ROOT/etc/init.d/ifplugd
#UsrMerge
mkdir $RPM_BUILD_ROOT/sbin
ln -s %{_sbindir}/ifplugd $RPM_BUILD_ROOT/sbin
ln -s %{_sbindir}/ifplugstatus $RPM_BUILD_ROOT/sbin
#EndUsrMerge

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc LICENSE README doc/README.SUSE
%doc conf/ifplugd.init README.initscript
%{_sbindir}/*
#UsrMerge
/sbin/*
#EndUsrMerge
%doc %{_mandir}/man5/ifplugd.conf.5.gz
%doc %{_mandir}/man8/ifplugd.8.gz
%doc %{_mandir}/man8/ifplugstatus.8.gz
%config %{_sysconfdir}/ifplugd

%changelog
* Mon Nov 13 2017 dimstar@opensuse.org
- Rename README.SuSE to README.SUSE, adhering to the correct
  spelling.
* Fri Nov 10 2017 seife+obs@b1-systems.com
- add ifplugd-nlapi-increase-packetsize.diff [bsc#1030382]
- small spec-file cleanups to reduce rpmlint warnings
* Fri Aug 11 2017 pgajdos@suse.com
- do not generate documentation, use generated one [bsc#1052975]
* Thu Mar 28 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Fri Feb 17 2012 rschweikert@suse.com
- place binaries in /usr tree (UsrMerge project)
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Wed Feb  4 2009 crrodriguez@suse.de
- use shared libdaemon which has been moved to /%%{_lib}
* Thu Mar  9 2006 zoz@suse.de
- ifplugd.action now calls ifup/down with '-o ifplugd' (Bug 155358)
  (Neccessary since sysconfig-0.50.5)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 kukuk@suse.de
- Link static against libdaemon.
* Sun Jan  8 2006 kukuk@suse.de
- Define __KERNEL_STRICT_NAMES for linux/types.h inclusion
* Thu Sep 22 2005 seife@suse.de
- gag the compiler to fix the build
* Wed Sep 21 2005 seife@suse.de
- update to version 0.28 which incorporates our old patches
* Tue May 31 2005 kukuk@suse.de
- Remove wrong compiler options and fix compiler warnings
* Fri Apr  8 2005 seife@suse.de
- update to version 0.27, changes include: new option --no-startup
* Wed Jan 19 2005 seife@suse.de
- fix for new gcc4 warning (incorrect terminated va_list)
* Wed Jan 19 2005 seife@suse.de
- bump version to 0.26, no longer package libdaemon (is a separate
  package now).
* Wed Sep  8 2004 ro@suse.de
- fixed handling of README.initscript in specfile
* Wed Sep  8 2004 seife@suse.de
- moved initscript to the documentation directory.
* Mon Aug 30 2004 hare@suse.de
- Removed udev agent again; ifplugd has been integrated in ifup.
* Fri Aug 13 2004 hare@suse.de
- Add udev agent; enables ifplugd only after
  a device has been detected.
* Fri Aug  6 2004 seife@suse.de
- allow hardware descriptions for interface names
* Thu Aug  5 2004 seife@suse.de
- bump to version 0.25/libdaemon 0.6
* Thu Mar 18 2004 seife@suse.de
- fix initscript (return codes, status), removed "-w" from default
  configuration.
* Mon Feb 16 2004 seife@suse.de
- tuned init-script, corrected README.SuSE
* Tue Feb 10 2004 seife@suse.de
- bump to version 0.22/libdaemon 0.5
* Tue Feb 10 2004 seife@suse.de
- initial check-in
